Package org.eclipse.net4j.util.security

# Class NegotiationContext

java.lang.Object
org.eclipse.net4j.util.security.NegotiationContext

All Implemented Interfaces:
  `INegotiationContext`

public abstract class NegotiationContext extends Object implements INegotiationContext

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.security.INegotiationContext

`INegotiationContext.Receiver`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.util.security.INegotiationContext

`NO_TIMEOUT`

## Constructor Summary

Constructors
Constructor
Description
`NegotiationContext()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getInfo()`
`INegotiationContext.Receiver`
`getReceiver()`
`Enum<?>`
`getState()`
`void`
`setFinished(boolean success)`
`void`
`setInfo(Object info)`
`void`
`setReceiver(INegotiationContext.Receiver receiver)`
`void`
`setState(Enum<?> state)`
`Enum<?>`
`waitUntilFinished(long timeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.security.INegotiationContext

`getBuffer, setUserID, transmitBuffer`

## Constructor Details

### NegotiationContext

public NegotiationContext()

## Method Details

### getReceiver

public INegotiationContext.Receiver getReceiver()

Specified by:
  `getReceiver` in interface `INegotiationContext`

### setReceiver

public void setReceiver(INegotiationContext.Receiver receiver)

Specified by:
  `setReceiver` in interface `INegotiationContext`

### getState

public Enum<?> getState()

Specified by:
  `getState` in interface `INegotiationContext`

### setState

public void setState(Enum<?> state)

Specified by:
  `setState` in interface `INegotiationContext`

### getInfo

public Object getInfo()

Specified by:
  `getInfo` in interface `INegotiationContext`

### setInfo

public void setInfo(Object info)

Specified by:
  `setInfo` in interface `INegotiationContext`

### setFinished

public void setFinished(boolean success)

Specified by:
  `setFinished` in interface `INegotiationContext`

### waitUntilFinished

public Enum<?> waitUntilFinished(long timeout)

Specified by:
  `waitUntilFinished` in interface `INegotiationContext`